wiki:history

History of Samba for eComStation (OS/2) releases

Server

Samba 3.0.x based releases

Release dateStateComponentVersionBased uponPackageDescription
21th. Feb. 2011GAServer core files1.0.6Samba 3.0.37ZIPRequired to share files and printers, stable, deprecated
21th. Feb. 2011GAInstallation package1.0.6Samba 3.0.37WPIRequired to share files and printers, stable, deprecated

Samba 3.3.x based releases

Release dateStateComponentVersionBased uponPackageDescription
27th. July 2011GAServer core files1.1.0Samba 3.3.16ZIPNo WPI planned for this version, as only 2 fixes for SWAT were added.
26th. June 2011GAInstallation package1.1.0Samba 3.3.15WPIRequired to share files and printers, stable, easy installation
31th. Dec 2011GAServer core files1.1.1Samba 3.3.16ZIPSeveral minor eCS (OS/2) specific corrections.
31th. Dec 2011GAInstallation package1.1.1Samba 3.3.16WPIRequired to share files and printers, stable, easy installation
24th. Feb 2012GAServer core files1.1.2Samba 3.3.16ZIPSeveral minor eCS (OS/2) specific corrections.
24th. Feb 2012GAInstallation package1.1.2Samba 3.3.16WPIRequired to share files and printers, stable, easy installation
--Server core files1.1.3Samba 3.3.16-Not released
02nd Sept 2013GAServer core files1.1.4Samba 3.3.16ZIPSeveral minor eCS (OS/2) specific corrections.
02nd Sept 2013GAInstallation package1.1.4Samba 3.3.16WPIRequired to share files and printers, stable, easy installation

Samba 3.5.x based releases

Release dateTypeComponentVersionBased uponPackageDescription
03rd Aug. 2010betaServer core files1.2.beta2Samba 3.5.4ZIPReally experimental, migration from 3.0.x releases not possible!
28th. June 2011betaServer core files1.2.beta3Samba 3.5.5ZIPStill experimental, migration from 3.3.x releases works!
30th. June 2011betaServer core files1.2.beta4Samba 3.5.6ZIPStill experimental, migration from 3.3.x releases works!
01th. July 2011betaServer core files1.2.beta5Samba 3.5.7ZIPStill experimental, migration from 3.3.x releases works!
02th. July 2011betaServer core files1.2.beta6Samba 3.5.8ZIPStill experimental, migration from 3.3.x releases works!
07th. July 2011betaServer core files1.2.beta7Samba 3.5.9ZIPAppears to be stable in basic tests, migration from 3.3.x releases works!
07th. July 2011betaInstallation package1.2.beta7Samba 3.5.9WPIPreliminary installation package, known problem with password database
28th. July 2011betaServer core files1.2.beta8Samba 3.5.10ZIPKnown problems with password database, like earlier releases
02nd Dec 2011betaServer core files1.2.beta9Samba 3.5.11ZIPtdb problems resolved, high mem enabled, libc064

Server Tools

Release dateStateComponentVersionBased uponPackageDescription
23th. June 2011GARxLib4Smb1.1.0-WPIRexx libraries required for the GUI Tools
06th. July 2011GA (Refresh)RxLib4Smb1.1.1-WPIREXX libraries required to install the Server WPI package!!!
26th. June 2011GASSCC1.0.2-ZIPGUI Tool for server configuration and installation
26th. June 2011GASMBUsers1.0.0-ZIPGUI Tool for user and group administration
15th. Aug. 2010GASMBMon1.9.0-ZIPGUI Tool for Samba status monitoring
21st. Apr. 2013RC3SMBMon2.5.0-ZIPGUI Tool for Samba status monitoring
12th July 2013ChkTDB1.0.0-SVNScript to check the integrity of Samba Server TDB database files


Clients

Samba Part

Samba 3.0.x based releases
Release dateStateComponentVersionBased uponPackageDescription
11th. May 2009GAPlugin1.0Samba 3.0.34ZIPRequired to access shared files, deprecated
03rd. Nov 2010GAPlugin1.5.3Samba 3.0.37ZIPRequired to access shared files, deprecated
06th. March 2011GA (Refresh2)Plugin2.0.1Samba 3.0.37ZIPRequired to access shared files, dir caching, deprecated
06th. March 2011GA (Refresh2)Plugin2.0.1Samba 3.0.37WPIRequired to access shared files, dir caching, deprecated
Samba 3.3.x based releases
28th. June 2011GAPlugin2.1.0Samba 3.3.15ZIPRequired to access shared files, dir caching, 3.3.x based
28th. June 2011GAPlugin2.1.0Samba 3.3.15WPIRequired to access shared files, dir caching, 3.3.x based
24th January 2012GAPlugin2.1.1Samba 3.3.16ZIPRequired to access shared files, dir caching, 3.3.x based
24th January 2012GAPlugin2.1.1Samba 3.3.16WPIRequired to access shared files, dir caching, 3.3.x based
15th March 2012GAPlugin2.1.2Samba 3.3.16ZIPRequired to access shared files, dir caching, 3.3.x based
15th March 2012GAPlugin2.1.2Samba 3.3.16WPIRequired to access shared files, dir caching, 3.3.x based
7th April 2013GAPlugin2.1.3Samba 3.3.16ZIPRequired to access shared files, dir caching, 3.3.x based
7th April 2013GAPlugin2.1.3Samba 3.3.16WPIRequired to access shared files, dir caching, 3.3.x based
27th August 2013GAPlugin2.1.4Samba 3.3.16ZIPRequired to access shared files, dir caching, 3.3.x based
27th August 2013GAPlugin2.1.4Samba 3.3.16WPIRequired to access shared files, dir caching, 3.3.x based
03rd October 2013GA (Refresh)Plugin2.1.5Samba 3.3.16ZIPRequired to access shared files, dir caching, 3.3.x based
03rd October 2013GA (Refresh)Plugin2.1.5Samba 3.3.16WPIRequired to access shared files, dir caching, 3.3.x based
Samba 3.5.x based releases
01st Sept 2011Beta1Plugin2.2.0Samba 3.5.11ZIPRequired to access shared files, 3.5.x based
01st Sept 2011Beta1Plugin2.2.0Samba 3.5.11WPIRequired to access shared files, 3.5.x based
25th Nov 2011Beta2Plugin2.2.0Samba 3.5.11ZIPRequired to access shared files, 3.5.x based
25th. Nov 2011Beta2Plugin2.2.0Samba 3.5.11WPIRequired to access shared files, 3.5.x based
4th October 2013Beta3Plugin2.2.0Samba 3.5.21ZIPRequired to access shared files, 3.5.x based
4th October 2013Beta3Plugin2.2.0Samba 3.5.21WPIRequired to access shared files, 3.5.x based
26th February 2014Beta4Plugin2.2.0Samba 3.5.21ZIPRequired to access shared files, 3.5.x based
26th February 2014Beta4Plugin2.2.0Samba 3.5.21WPIRequired to access shared files, 3.5.x based


Client Tools and GUI

Release dateStateComponentVersionBased uponPackageDescription
01th. Sept. 2009GAEVFSGUI1.3.7-LinkSetup and manage connections, deprecated.
13th. June 2011GAEVFSGUI2.1.2Plugin 1.5.x or 2.x.xWPISetup and manage connections
06th. April 2012GAEVFSGUI2.1.3Plugin 2.x.xZIPSetup and manage connections, bugfix release
09th. April 2013RC4EVFSGUI2.5.0Plugin 2.1.xZIPSetup and manage connections, new version, RC4
14th. December 2014RC7EVFSGUI2.5.0Plugin 2.1.xZIPSetup and manage connections, new version, several tickets fixed, RC7
08th. March 2011GACommandline utilities1.0.6Samba 3.0.37ZIPRequired by EVFSGUI Ver. 2.x
11th. July 2011GA (Refresh)Commandline utilities1.1.0Samba 3.3.15ZIPRequired by EVFSGUI Ver. 2.x
1st Jan 2012GACommandline utilities1.1.1Samba 3.3.16ZIPRequired by EVFSGUI Ver. 2.x, supports time sync
2nd Sept 2013GACommandline utilities1.1.4Samba 3.3.16ZIPRequired by EVFSGUI Ver. 2.x, supports time sync
2nd Sept 2011BetaCommandline utilities1.2.beta9Samba 3.5.11ZIPRequired by EVFSGUI Ver. 2.x
7th April 2013BetaCommandline utilities1.2.beta10Samba 3.5.19ZIPRequired by EVFSGUI Ver. 2.x
28th Nov 2014BetaCommandline utilities1.3.beta1Samba 3.6.23ZIPRequired by EVFSGUI Ver. 2.x
11th. July 2011GA (Refresh)Port driver 1.0.1Samba 3.3.15ZIPRequired to print to shared printers or CIFS/SMB based printer servers
23.04.2013-RPM base DLLsZIPSeveral DLLs from the rpm/yum package used by recent Samba builds
Last modified 2 years ago Last modified on Dec 29, 2014, 10:52:33 AM